| alignrunner

## Function

Align sequence pairs in a directory

## Description

**************** EDIT HERE ****************

## Algorithm

**************** EDIT HERE ****************

## Usage

Under development, no final example yet

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-seqpairsdir]       dirlist    Input directory of files containing sequence
                                      pairs for alignment
      [-firstcommandpath]  directory  Directory where conventional alignment
                                      executable lives
      [-secondcommandpath] directory  Directory where structure-weighted alignment
                                      executable lives
      [-firstcommandname]  string     Name of conventional alignment executable
      [-secondcommandname] string     Name of structure-weighted alignment
                                      executable
      [-scoringmatrixdir]  directory  Directory where conventional scoring matrix
                                      lives
      [-scoringmatrixname] string     Name of scoring matrix
       -gapopen            float      The gap opening penalty is subtracted from
                                      the total score every time a gap is inserted
                                      in the alignment. The default value is
                                      chosen for the EBLOSUM62 scoring matrix when
                                      you are aligning protein sequences, and the
                                      EDNAFULL matrix when you are aligning
                                      nucleotide sequences. If you sequence
                                      contains many small errors you should set a
                                      low gap opening penalty (near zero) to avoid
                                      over-penalizing those errors.
       -gapextend          float      The gap extension penalty is the score
                                      substracted when more spaces are added to an
                                      existing alignment gap. Often a single
                                      insertion or deletion affects multiple
                                      residues/nucleotides; separate opening and
                                      extension penalties reduce the excessive
                                      penalty such events would otherwise carry;
                                      generally the gap extension penalty should
                                      be significantly lower than the gap opening
                                      penalty.
       -zeroend            boolean    If this option is true then no penalty is
                                      added for gaps at either ends of a trace.
      [-firstalignedseqsoutdir] outdir     Name of directory containing sequences
                                      aligned by first method
      [-secondalignedseqsoutdir] outdir     Name of directory containing sequences
                                      aligned by second method
      [-firstoutfilesuffix] string     Appended to end of all output file names of
                                      sequences aligned by first alignment method
      [-secondoutfilesuffix] string     Appended to end of all output file names of
                                      sequences aligned by second alignment method
      [-outfileformat]     string     Format of output alignments for both methods

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers: (none)
       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write standard output
       -filter             boolean    Read standard input, write standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-seqpairsdir] (Parameter 1) | Input directory of files containing sequence pairs for alignment | Directory with files | .
[-firstcommandpath] (Parameter 2) | Directory where conventional alignment executable lives | Directory |
[-secondcommandpath] (Parameter 3) | Directory where structure-weighted alignment executable lives | Directory |
[-firstcommandname] (Parameter 4) | Name of conventional alignment executable | Any string is accepted | An empty string is accepted
[-secondcommandname] (Parameter 5) | Name of structure-weighted alignment executable | Any string is accepted | An empty string is accepted
[-scoringmatrixdir] (Parameter 6) | Directory where conventional scoring matrix lives | Directory |
[-scoringmatrixname] (Parameter 7) | Name of scoring matrix | Any string is accepted | An empty string is accepted

-gapopen

The gap opening penalty is subtracted from the total score every time a gap is inserted in the alignment. The default value is chosen for the EBLOSUM62 scoring matrix when you are aligning protein sequences, and the EDNAFULL matrix when you are aligning nucleotide sequences. If you sequence contains many small errors you should set a low gap opening penalty (near zero) to avoid over-penalizing those errors.

Floating point number from 1.0 to 100.0

10.0 for any sequence

-gapextend

The gap extension penalty is the score substracted when more spaces are added to an existing alignment gap. Often a single insertion or deletion affects multiple residues/nucleotides; separate opening and extension penalties reduce the excessive penalty such events would otherwise carry; generally the gap extension penalty should be significantly lower than the gap opening penalty.

Floating point number from 0.0 to 10.0

0.5 for any sequence

-zeroend | If this option is true then no penalty is added for gaps at either ends of a trace. | Boolean value Yes/No | No
[-firstalignedseqsoutdir] (Parameter 8) | Name of directory containing sequences aligned by first method | Output directory |
[-secondalignedseqsoutdir] (Parameter 9) | Name of directory containing sequences aligned by second method | Output directory |
[-firstoutfilesuffix] (Parameter 10) | Appended to end of all output file names of sequences aligned by first alignment method | Any string is accepted | An empty string is accepted
[-secondoutfilesuffix] (Parameter 11) | Appended to end of all output file names of sequences aligned by second alignment method | Any string is accepted | An empty string is accepted
[-outfileformat] (Parameter 12) | Format of output alignments for both methods | Any string is accepted | fasta
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

## Input file format

alignrunner reads any normal sequence USAs.

Under development, no example input file(s) yet

## Output file format

alignrunner outputs a graph to the specified graphics device. outputs a report format file. The default format is ...

Under development, no example output file(s) yet

## Data files

**************** EDIT HERE ****************

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
comparator | Compare contact scores of two sequence alignments
contactalign | Damian Counsell's experimental 2.5-D alignment algorithm
esim4 | Align an mRNA to a genomic DNA sequence
est2genome | Align EST and genomic DNA sequences
nawalign | Damian Counsell's NW implementation
nawalignrunner | Nawalign all sequence pairs in a directory
needle | Needleman-Wunsch global alignment
needlerunner | Needle all sequence pairs in a directory
scorer | Score alignments using structural alignments
scorerrunner | SCORER for ordered pairs of substituted seqs
stretcher | Finds the best global alignment between two sequences
substitute | Substitute matches into a template
substituterunner | Run SUBSTITUTE on a directory of traces

## Author(s)

Damian Counsell (d.counsell © rfcgr.mrc.ac.uk)
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None